be.ehealth.businessconnector.mycarenet.attestv2.builders.impl

## Class ResponseObjectBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.attestv2.builders.impl.ResponseObjectBuilderImpl

- All Implemented Interfaces:
    ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class ResponseObjectBuilderImpl
      extends Object
      implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook

  Implementation for the `ResponseObjectBuilder` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseObjectBuilderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `SignedBuilderResponse` | `handleCancelResponseType(SendResponseType sendResponse, CancelAttestationRequest cancelAttestationRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.
    `SignedEncryptedBuilderResponse` | `handleSendResponseType(SendResponseType sendResponse, SendAttestBuilderRequest builderRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseObjectBuilderImpl

          public ResponseObjectBuilderImpl()

  - ### Method Detail

    - #### handleSendResponseType

          public final SignedEncryptedBuilderResponse handleSendResponseType(SendResponseType sendResponse,
                                                                             SendAttestBuilderRequest builderRequest)
                                                                      throws TechnicalConnectorException

      Description copied from interface: `ResponseObjectBuilder`
      Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.
      Specified by:
        `handleSendResponseType` in interface `ResponseObjectBuilder`
      Parameters:
        `sendResponse` - the response sent by the WS
        `builderRequest` - the wrapper containing all the necessary request data
      Returns:
        the response object built from the response of the WS, with a valid Xades and a decoded content
      Throws:
        `TechnicalConnectorException`

    - #### handleCancelResponseType

          public SignedBuilderResponse handleCancelResponseType(SendResponseType sendResponse,
                                                                CancelAttestationRequest cancelAttestationRequest)
                                                         throws TechnicalConnectorException

      Description copied from interface: `ResponseObjectBuilder`
      Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.
      Specified by:
        `handleCancelResponseType` in interface `ResponseObjectBuilder`
        `cancelAttestationRequest` - the request sent to the WS
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.